.TH "mca_coll_sm_bootstrap_comm_setup_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_coll_sm_bootstrap_comm_setup_t \- Structure used within bootstrap mmap file for setting up a coll sm component on a communicator.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <coll_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "volatile size_t \fBsmbcs_data_mpool_offset\fP"
.br
.RI "\fIOffset to be used in the data mpool for this comm's collective sm operations -- use this value plus the base of the mpool to obtain the pointer to this comm's mca_coll_sm_mpool_area_t. \fP"
.ti -1c
.RI "volatile int \fBsmbcs_count\fP"
.br
.RI "\fINumber of processes in this communicator who have seen this value already. \fP"
.ti -1c
.RI "volatile bool \fBsmbcs_success\fP"
.br
.RI "\fIMechanism for letting multiple processes know whether this allocation succeeded or not. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure used within bootstrap mmap file for setting up a coll sm component on a communicator. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
